> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siray.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Sora 2 i2v



## OpenAPI

````yaml openapi-spec/sora-2-i2v.json POST /v1/video/generations
openapi: 3.1.0
info:
  description: >-
    OpenAI's Sora 2 i2v is an Image-to-Video model that animates stills into
    vertical 720x1280 clips with synchronized audio, ideal for fast,
    social-first video production.
  summary: API for Sora 2 i2v model
  title: Sora 2 i2v API
  version: 1.0.0
servers:
  - description: Model Verse API Server
    url: https://api.siray.ai
security: []
tags:
  - description: >-
      Sora 2 i2v - OpenAI's Sora 2 i2v is an Image-to-Video model that animates
      stills into vertical 720x1280 clips with synchronized audio, ideal for
      fast, social-first video production.
    name: Sora 2 i2v
paths:
  /v1/video/generations:
    post:
      tags:
        - Sora 2 i2v
      summary: Generate video
      description: Generate a video using the Sora 2 i2v model
      operationId: video_model-hu8bgelem2sppymx
      requestBody:
        content:
          application/json:
            example:
              duration: 4
              image: example_value
              model: openai/sora-2-i2v
              prompt: example_value
              size: 720x1280
            schema:
              description: Request format for video generation models
              properties:
                duration:
                  description: Fixed duration
                  enum:
                    - 4
                    - 8
                    - 12
                  type: integer
                image:
                  description: Input image for generation, it can be data URL or image URL
                  type: string
                model:
                  description: Model name to use for the request
                  enum:
                    - openai/sora-2-i2v
                  type: string
                prompt:
                  description: Text prompt for generation
                  type: string
                size:
                  description: Fixed size
                  enum:
                    - 720x1280
                    - 1280x720
                  type: string
              required:
                - model
                - prompt
                - image
                - duration
                - size
              title: Video Generation Request
              type: object
        description: Request payload
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskResponse'
          description: Successful response
      security:
        - bearerAuth: []
components:
  schemas:
    TaskResponse:
      description: Standard async task creation response
      properties:
        code:
          description: Status code returned by the service
          example: success
          type: string
        data:
          description: Response payload containing task details
          properties:
            task_id:
              description: Identifier of the created task
              type: string
          required:
            - task_id
          type: object
        message:
          description: Additional information about the request result
          type: string
      required:
        - data
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: API Key
      description: Bearer authentication using API key
      scheme: bearer
      type: http

````